On January 27th, this site will be read-only as we migrate to Oracle Forums for an improved community experience. You will not be able to initiate activity until January 30th, when you will be able to use this site as normal.

    Forum Stats

  • 3,889,534 Users
  • 2,269,755 Discussions
  • 7,916,775 Comments

Discussions

Links not working in SGD 5.4 client running in Firefox 38

user1155380
user1155380 Member Posts: 8
edited Jun 24, 2018 10:57AM in Secure Global Desktop

I am trying to get a trial version of Oracle SGD 5.4 installed and working on a 64-bit RHEL7.2 system.

The server and client rpm appear to have installed with no issues. However I cannot get the Administration Console or the sample xterm or xclock to pop up.

For Oracle SGD 5.4, the supported version of Firefox is Mozilla Firefox 52 ESR, 59.

We are have Firefox 38.3.30 installed.  I was hoping to get it to work with the older version of Firefox because other apps we have running use this version.

Has anyone had any luck with using a version of Firefox other than the one listed as supported (52 ESR, 59)?

Best Answer

  • Jan-Oracle
    Jan-Oracle Senior Product Manager USMember Posts: 122 Employee
    edited Jun 19, 2018 1:08PM Answer ✓

    I have SGD 5.4 installed on my internal equipment, as well as in both Oracle Cloud Infrastructures, and don't see any of those problems. I am using Firefox 59.0.1 on a Mac and Firefox 57.0.4 on Windows. As long as the binaries are actually installed on the application servers, I have no problem launching the Application.

    user1155380
«1

Answers

  • Jan-Oracle
    Jan-Oracle Senior Product Manager USMember Posts: 122 Employee
    edited Jun 18, 2018 12:55PM

    What launch method are you using? Does it work with a modern browser that is on the list of supported browsers?

    user1155380
  • user1155380
    user1155380 Member Posts: 8
    edited Jun 18, 2018 1:50PM

    I have tried that three that appear to be available in 5.4.

    First the HTML5, and it exhibited the problem there, so at first I thought it was specific to HTML5.

    Then I tried installing the SGD Client (the top option in the login spash screen.) The sgd client install was sgdclient-5.40.901-1.e17.x86_64.rpm. With this option, when I hover over the xterm link (and others), I see javascript:void(0); at bottom of page, instead of the url of the SGD server.

    However for both of the above cases the "List All Job" button and Edit button in the Workspace panel work.

    If I try the middle option (the one that uses Java plugin), I does not load the admin page, I get an error dialog - Failed to Install the SGD Client.

    The plugin in the Firefox browser is IcedTea-Web Plugin 1.6.1.

    I have not been able to try any of the supported browsers yet, we only have Firefox 38 installed, and the admin is attempting to upgrade it to v52.

  • Jan-Oracle
    Jan-Oracle Senior Product Manager USMember Posts: 122 Employee
    edited Jun 18, 2018 2:02PM

    The new java-less launch is probably the best option for you. I doubt HTML5 will work correctly in a browser that old (if it works at all)

    Hovering over the links in the Workspace will always show "javascript:void(0)", because clicking on the link will fire off communication with the client. If you click on your xTerm application and it doesn't launch, then you probably mis-configured the xTerm application. Did you specify which application server the xTerm application can run on? Did you make sure the path to the binary as defined in the xTerm application is actually present on the application server?

  • user1155380
    user1155380 Member Posts: 8
    edited Jun 18, 2018 2:58PM

    By the new "java-less" launch - I guess you mean the HTML5?

    Regarding hovering over links - in older version like 4.63, and 4.50, when you hover over a link it shows the path to the SGD Server.

    The xterm and xclock are canned samples. Usually they don't need configuring. Plus I am unable to launch the Administration Console, so I can't configure anything.

  • Jan-Oracle
    Jan-Oracle Senior Product Manager USMember Posts: 122 Employee
    edited Jun 18, 2018 4:41PM

    SGD has two different clients: a native client (binary downloaded) and HTML5. I recommend testing with the native downloaded client

  • Jan-Oracle
    Jan-Oracle Senior Product Manager USMember Posts: 122 Employee
    edited Jun 18, 2018 4:42PM

    In order to get to the Administration Console your user needs the appropriate permissions

  • user1155380
    user1155380 Member Posts: 8
    edited Jun 18, 2018 5:14PM

    I mentioned in my second post that I installed the SGD Client (the top link in the login splash screen). I downloaded the client rpm from the SGD Server...

  • user1155380
    user1155380 Member Posts: 8
    edited Jun 18, 2018 5:15PM

    I am logged in as root for the Administrator. (I am familiar with how to configure the Administrator Console, I just installed SGD 4.63 also on RHEL 7.2 with no issues. But we want to go with the latest SGD version.

  • Jan-Oracle
    Jan-Oracle Senior Product Manager USMember Posts: 122 Employee
    edited Jun 18, 2018 6:20PM

    I definitely recommend going with SGD 5.4 (SGD4.63 is no longer supported). If you are logged in as Administrator you should have access to the Administration Console

  • user1155380
    user1155380 Member Posts: 8
    edited Jun 19, 2018 9:03AM

    I agree that SGD 5.4 would be the best version to use, but I tried SGD 4.63, as that was the first version that fixed a problem we were seeing, so I tried that as a stepping stone. That is working fine, but I realize we probably would not want to upgrade to that, as it is not the latest version.

    I agree logged in as Administrator - that I should have access to the Administration Console. But as I said that link does not work either.

    Are you or anyone else using SGD 5.4? If so, if you are using Firefox, could you tell me which version? The documentation states that the supported version is Firefox 52 ESR, 59.

This discussion has been closed.